{
    "attributes": {
        "PICS_USE_IDENTIFIED_REGION": {
            "isGenerated": false,
            "key": "PICS_USE_IDENTIFIED_REGION",
            "origin": "758add74-3024-426c-b542-2fa5f41ef7a3",
            "type": "STRING",
            "value": "true"
        },
        "_author": {
            "isGenerated": false,
            "key": "_author",
            "origin": "758add74-3024-426c-b542-2fa5f41ef7a3",
            "type": "STRING",
            "value": "filatov"
        },
        "_description": {
            "isGenerated": false,
            "key": "_description",
            "origin": "758add74-3024-426c-b542-2fa5f41ef7a3",
            "type": "STRING",
            "value": "Check that the identified region validity restriction of the subordinate certificate is included in the identified region validity restriction of the issuing certificate"
        },
        "_expectedResults": {
            "isGenerated": false,
            "key": "_expectedResults",
            "origin": "758add74-3024-426c-b542-2fa5f41ef7a3",
            "type": "STRING",
            "value": "with\r\n\tthe IUT being in the 'authorized' state\r\n\tthe IUT is using both AA and AT certificates with identified region validity restriction\r\n\tthe IUT being requested to include certificate chain in the next CAM\r\nensure that\r\n\twhen\r\n\t\tthe IUT is requested to send a CAM\r\n\tthen\r\n\t\tthe IUT sends a SecuredMessage\r\n\t\t\tcontaining header_fields['signer_info'].signer\r\n\t\t\t\tcontaining type\r\n\t\t\t\t\tindicating 'certificate_chain'\r\n\t\t\t\tcontaining certificates\r\n\t\t\t\t\tindicating length > 1\r\n\t\t\t\t\tand containing certificates [n] (0..N)\r\n\t\t\t\t\t\tcontaining validity_restrictions['region']\r\n\t\t\t\t\t\t\tcontaining region\r\n\t\t\t\t\t\t\t\tcontaining region_type\r\n\t\t\t\t\t\t\t\t\tindicating 'id'\r\n\t\t\t\t\t\t\t\tcontaining id_region\r\n\t\t\t\t\t\t\t\t\tcontaining region_dictionary\r\n\t\t\t\t\t\t\t\t\t\tindicating 'iso_3166_1'\r\n\t\t\t\t\t\t\t\t\t\tor indicating 'un_stats'\r\n\t\t\t\t\t\t\t\t\tcontaining region_identifier (X_CERT_REGION_ID)\r\n\t\t\t\t\t\t\t\t\t\tindicating valid value according to ISO_3166-1 or UN STATS dictionary\r\n\t\t\t\t\t\t\t\t\tcontaining local_region (X_CERT_LOCAL_REGION)\r\n\t\t\t\t\t\tand containing signer_info\r\n\t\t\t\t\t\t\tcontaining digest\r\n\t\t\t\t\t\t\t\treferenced to the certificate\r\n\t\t\t\t\t\t\t\t\tcontaining validity_restrictions['region']\r\n\t\t\t\t\t\t\t\t\t\tcontaining region\r\n\t\t\t\t\t\t\t\t\t\t\tcontaining region_type\r\n\t\t\t\t\t\t\t\t\t\t\t\tindicating 'id'\r\n\t\t\t\t\t\t\t\t\t\t\tcontaining id_region\r\n\t\t\t\t\t\t\t\t\t\t\t\tcontaining region_dictionary\r\n\t\t\t\t\t\t\t\t\t\t\t\t\tindicating 'iso_3166_1'\r\n\t\t\t\t\t\t\t\t\t\t\t\t\tor indicating 'un_stats'\r\n\t\t\t\t\t\t\t\t\t\t\t\tand containing region_identifier\r\n\t\t\t\t\t\t\t\t\t\t\t\t\tindicating value == X_CERT_REGION_ID\r\n\t\t\t\t\t\t\t\t\t\t\t\tand containing local_region\r\n\t\t\t\t\t\t\t\t\t\t\t\t\tindicating value == X_CERT_LOCAL_REGION\r\n\t\t\t\t\t\t\t\t\t\t\t\t\tor indicating 0\r\n\t\t\t\t\t\t\t\t\t\t\tor containing id_region\r\n\t\t\t\t\t\t\t\t\t\t\t\tcontaining region_dictionary\r\n\t\t\t\t\t\t\t\t\t\t\t\t\tindicating 'un_stats'\r\n\t\t\t\t\t\t\t\t\t\t\t\tand containing region_identifier\r\n\t\t\t\t\t\t\t\t\t\t\t\t\tindicating value fully covering the X_CERT_REGION_ID\r\n"
        },
        "_status": {
            "isGenerated": false,
            "key": "_status",
            "origin": "758add74-3024-426c-b542-2fa5f41ef7a3",
            "type": "STRING",
            "value": "in process"
        },
        "_type": {
            "isGenerated": false,
            "key": "_type",
            "origin": "758add74-3024-426c-b542-2fa5f41ef7a3",
            "type": "STRING",
            "value": "TestPurpose"
        }
    },
    "uuid": "758add74-3024-426c-b542-2fa5f41ef7a3"
}